Bug 1243777 (CVE-2014-8878) - CVE-2014-8878 kdepim: KMail attachments are not encrypted when "automatic encryption" is selected
Summary: CVE-2014-8878 kdepim: KMail attachments are not encrypted when "automatic enc...
Status: CLOSED WONTFIX
Alias: CVE-2014-8878
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141024,repor...
Keywords: Security
Depends On: 1243778
Blocks: 1244108
TreeView+ depends on / blocked
 
Reported: 2015-07-16 09:42 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:39 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-10-09 12:21:58 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-07-16 09:42:27 UTC
It was reported that sending OpenPGP/MIME encrypted emails with attachments does not encrypt the attachments.

Upstream report: https://bugs.kde.org/show_bug.cgi?id=340312
Upstream fix: http://quickgit.kde.org/?p=kdepim.git&a=commit&h=626c857eb30c0533a4de7836ee843caaa8c00a26
CVE request: http://seclists.org/oss-sec/2015/q3/118

Comment 1 Vasyl Kaigorodov 2015-07-16 09:42:53 UTC
Created kdepim tracking bugs for this issue:

Affects: fedora-all [bug 1243778]

Comment 2 Daniel Vrátil 2015-07-21 10:21:56 UTC
kdepim in all currently supported versions of Fedora (F>=21) already contain this fix.


Note You need to log in before you can comment on or make changes to this bug.